#!/usr/bin/python

import subprocess
from multiprocessing.pool import ThreadPool

pool = ThreadPool(54)
home_network = '192.168.1.'
intf = 'eth0'

odroid_ip = subprocess.Popen('ip address show dev ' + intf, shell=True,
                             stdout=subprocess.PIPE).communicate()[0]
odroid_ip = (odroid_ip.decode("utf-8")).split()
odroid_ip = odroid_ip[odroid_ip.index('inet') + 1].split('/')[0]
odroid_last_octet = int(odroid_ip.split('.')[3])

hosts = map(lambda octet: home_network + str(octet),
            [i for i in range(200, 254) if i != odroid_last_octet])

result = pool.map(lambda ip: subprocess.call('ping -c 1 ' + ip, shell=True,
                                             stdout=open('/dev/null', 'w'),
                                             stderr=subprocess.STDOUT), hosts)
pool.close()
pool.join()

for i in result:
    if i == 0:
        print('d.pause=')
        break
else:
    print('d.resume=')